domains
POST /v1/domains/{domainId}/email-routing/rules
Add a forwarding rule.
Uwierzytelnianie
Wyślij klucz API jako token bearer. Klucz musi posiadać uprawnienie domains.dns.manage; klucz bez niego jest odrzucany z kodem 403, a nie 404.
Ten punkt końcowy nie wymaga identyfikatora organizacji. Twój klucz już identyfikuje organizację, do której należy, a odpowiedź jest do niej ograniczona.
Wypróbuj
Zastąp wszystko w nawiasach ostrych własnymi wartościami, a zastępczy znacznik klucza kluczem ze swojego pulpitu nawigacyjnego.
curl -X POST https://api.zinndigital.com/v1/domains/{domainId}/email-routing/rules \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "matcher": <string>, "destinations": <string[]> }'Zalogowany? Konsola API w Twoim panelu uzupełnia rzeczywiste identyfikator organizacji oraz Twój własny klucz i wykonuje żądanie względem aktywnego API, dzięki czemu możesz zobaczyć rzeczywistą odpowiedź. Otwórz ten punkt końcowy w konsoli API
Szczegóły
Forward mail for one address to one or more verified destinations, or drop it. `drop` is a chosen behaviour and is never inferred from an empty destination list. Requires `domains.dns.manage`.
Parametry
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
domainId (path) | Uuid | Tak | The domain's id. |
Treść żądania
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
matcher | string | Tak | — |
destinations | string[] | Tak | — |
action | EmailRoutingAction | Nie | `drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list. |
name | string | Nie | — |
enabled | boolean | Nie | — |
Odpowiedź
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
rule_id | string | Tak | — |
matcher | string | Tak | The address this rule applies to. Empty for the catch-all. |
destinations | string[] | Tak | — |
action | EmailRoutingAction | Tak | `drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list. |
name | string | Tak | — |
enabled | boolean | Tak | — |
catch_all | boolean | Tak | — |
unsupported | boolean | Tak | `true` when the provider's rule uses a shape this API cannot express — a Worker target, say. Such a rule is shown read-only rather than hidden: hiding it would make this screen… |
Błędy, które ten punkt końcowy może zwrócić
401 · 403 · 404 · 422 · 429 · 503